function goodNoteHit(i, note, noteType, isSustain, dType)
	if getPropertyFromGroup("notes", i, "rating") == "sick" and getPropertyFromClass("flixel.FlxG", "save.data.noteSplash") then
		for i = 0, getProperty("grpNoteSplashes.length") - 1 do
			setPropertyFromGroup("grpNoteSplashes", i, "antialiasing", true)
		end

		if getBFStrumSkin() == "bfStrumStyle" then -- this just means the style returned null which is the default note
			for i = 0, getProperty("grpNoteSplashes.length") - 1 do
				setPropertyFromGroup("grpNoteSplashes", i, "offset.x", -25)
				setPropertyFromGroup("grpNoteSplashes", i, "offset.y", -10)
			end
		end
	end
end

function getBFStrumSkin()
	return getProperty("bfStrumStyle")
end